"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const documents_1 = require("../../documents");
const CompletionsProvider_1 = require("../CompletionsProvider");
(0, vitest_1.describe)('Module: RenderSnippetCompletionProvider', async () => {
    let provider;
    (0, vitest_1.beforeEach)(async () => {
        provider = new CompletionsProvider_1.CompletionsProvider(new documents_1.DocumentManager(), {
            filters: async () => [],
            objects: async () => [],
            tags: async () => [],
        }, async (_) => ({}), async (_) => ['product-card', 'image']);
    });
    (0, vitest_1.it)('should complete snippets correctly', async () => {
        await (0, vitest_1.expect)(provider).to.complete('{% render "', ['product-card', 'image']);
        await (0, vitest_1.expect)(provider).to.complete('{% render "product', [
            vitest_1.expect.objectContaining({
                documentation: {
                    kind: 'markdown',
                    value: 'snippets/product-card.liquid',
                },
            }),
        ]);
    });
});
//# sourceMappingURL=RenderSnippetCompletionProvider.spec.js.map