"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const documents_1 = require("../../documents");
const HoverProvider_1 = require("../HoverProvider");
(0, vitest_1.describe)('Module: HtmlTagHoverProvider', async () => {
    let provider;
    (0, vitest_1.beforeEach)(async () => {
        provider = new HoverProvider_1.HoverProvider(new documents_1.DocumentManager(), {
            filters: async () => [],
            objects: async () => [],
            tags: async () => [],
        });
    });
    (0, vitest_1.it)('should return the hover description of the tag', async () => {
        await (0, vitest_1.expect)(provider).to.hover(`<a█ href="..."></a>`, vitest_1.expect.stringMatching(/##* a/));
        await (0, vitest_1.expect)(provider).to.hover(`<img█ src="...">`, vitest_1.expect.stringMatching(/##* img/));
        await (0, vitest_1.expect)(provider).to.hover(`<img█ src="..."/>`, vitest_1.expect.stringMatching(/##* img/));
        await (0, vitest_1.expect)(provider).to.hover(`<i█mg src="...">`, vitest_1.expect.stringMatching(/##* img/));
        await (0, vitest_1.expect)(provider).to.hover(`<img src="..." █>`, vitest_1.expect.stringMatching(/##* img/));
    });
    (0, vitest_1.it)('should return nothing if the thing is unknown', async () => {
        await (0, vitest_1.expect)(provider).to.hover(`<unknown█ ></unknown>`, null);
        await (0, vitest_1.expect)(provider).to.hover(`<unknown█ />`, null);
    });
});
//# sourceMappingURL=HtmlTagHoverProvider.spec.js.map