import { CompletionItem } from 'vscode-languageserver-protocol';
import { MatcherState, RawMatcherFn } from '@vitest/expect';
interface CustomMatchers<R = unknown> {
    /**
     * @param source {string} - the source to complete
     * @param completionItem {CompletionItem[] | string[]} - the list of completion items or labels
     *
     * @example
     * expect(provider).to.complete("{% end", ["endcomment"])
     */
    complete(source: string, completionItem: Partial<CompletionItem>[] | string[]): Promise<void>;
}
declare module 'vitest' {
    interface Assertion<T = any> extends CustomMatchers<T> {
    }
    interface AsymmetricMatchersContaining extends CustomMatchers {
    }
}
export declare const complete: RawMatcherFn<MatcherState>;
export {};
