"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LiquidFilter = void 0;
const theme_check_common_1 = require("@shopify/theme-check-common");
exports.LiquidFilter = {
    meta: {
        code: 'LiquidFilter',
        name: 'Complains about every LiquidFilter',
        docs: {
            description: 'Complains about every LiquidFilter',
            recommended: true,
        },
        type: theme_check_common_1.SourceCodeType.LiquidHtml,
        severity: theme_check_common_1.Severity.ERROR,
        schema: {},
        targets: [],
    },
    create(context) {
        return {
            LiquidFilter: async (node) => {
                context.report({
                    message: 'Liquid filter can not be used',
                    startIndex: node.position.start,
                    endIndex: node.position.end,
                });
            },
        };
    },
};
//# sourceMappingURL=MockChecks.js.map